io.vertx.openapi.validation

## Interface ResponseParameter

-     public interface ResponseParameter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get()`
    `default Boolean` | `getBoolean()`
    `default Boolean` | `getBoolean(Boolean defaultValue)`
    `default Buffer` | `getBuffer()`
    `default Buffer` | `getBuffer(Buffer defaultValue)`
    `default Double` | `getDouble()`
    `default Double` | `getDouble(Double defaultValue)`
    `default Float` | `getFloat()`
    `default Float` | `getFloat(Float defaultValue)`
    `default Integer` | `getInteger()`
    `default Integer` | `getInteger(Integer defaultValue)`
    `default JsonArray` | `getJsonArray()`
    `default JsonArray` | `getJsonArray(JsonArray defaultValue)`
    `default JsonObject` | `getJsonObject()`
    `default JsonObject` | `getJsonObject(JsonObject defaultValue)`
    `default Long` | `getLong()`
    `default Long` | `getLong(Long defaultValue)`
    `default String` | `getString()`
    `default String` | `getString(String defaultValue)`
    `default boolean` | `isBoolean()`
    `default boolean` | `isBuffer()`
    `default boolean` | `isEmpty()`
    `default boolean` | `isJsonArray()`
    `default boolean` | `isJsonObject()`
    `default boolean` | `isNull()`
    `default boolean` | `isNumber()`
    `default boolean` | `isString()`

- - ### Method Detail

    - #### getString

          default String getString()

      Returns:
        null if value is not a `String`, otherwise it returns value

    - #### getString

          default String getString(String defaultValue)

      Returns:
        the default if value is not a `String` or is null, otherwise it returns the value.

    - #### isString

          default boolean isString()

      Returns:
        true if value of this instance is a `String` instance

    - #### getInteger

          default Integer getInteger()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Integer`

    - #### getInteger

          default Integer getInteger(Integer defaultValue)

      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getLong

          default Long getLong()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Long`

    - #### getLong

          default Long getLong(Long defaultValue)

      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getFloat

          default Float getFloat()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Float`

    - #### getFloat

          default Float getFloat(Float defaultValue)

      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getDouble

          default Double getDouble()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Double`

    - #### getDouble

          default Double getDouble(Double defaultValue)

      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### isNumber

          default boolean isNumber()

      Returns:
        true if value of this instance is a `Number` instance

    - #### getBoolean

          default Boolean getBoolean()

      Returns:
        null if value is not a `Boolean`, otherwise it returns value

    - #### getBoolean

          default Boolean getBoolean(Boolean defaultValue)

      Returns:
        the default supplied if value is not a `Boolean` or is null, otherwise it returns the value.

    - #### isBoolean

          default boolean isBoolean()

      Returns:
        true if value of this instance is a `Boolean` instance

    - #### getJsonObject

          default JsonObject getJsonObject()

      Returns:
        null if value is not a `JsonObject`, otherwise it returns value

    - #### getJsonObject

          default JsonObject getJsonObject(JsonObject defaultValue)

      Returns:
        the default supplied if value is not a `JsonObject` or is null, otherwise it returns the value.

    - #### isJsonObject

          default boolean isJsonObject()

      Returns:
        true if value of this instance is a `JsonObject` instance

    - #### getJsonArray

          default JsonArray getJsonArray()

      Returns:
        null if value is not a `JsonArray`, otherwise it returns value

    - #### getJsonArray

          default JsonArray getJsonArray(JsonArray defaultValue)

      Returns:
        the default supplied if value is not a `JsonArray` or is null, otherwise it returns the value.

    - #### isJsonArray

          default boolean isJsonArray()

      Returns:
        true if value of this instance is a `JsonArray` instance

    - #### getBuffer

          default Buffer getBuffer()

      Returns:
        null if value is not a `Buffer`, otherwise it returns value

    - #### getBuffer

          default Buffer getBuffer(Buffer defaultValue)

      Returns:
        the default suppliedif value is not a `Buffer` or is null, otherwise it returns the value.

    - #### isBuffer

          default boolean isBuffer()

      Returns:
        true if value of this instance is a `Buffer` instance

    - #### isNull

          default boolean isNull()

      Returns:
        true if value is null

    - #### isEmpty

          default boolean isEmpty()

      Returns:
        true if it's an empty `String`, an empty `JsonObject` / `JsonArray`, an empty `Buffer` or it's null

    - #### get

          Object get()

      Returns:
        the plain value

Copyright © 2024 Eclipse. All rights reserved.